#
# spec file for package calamaris (Version 2.59)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           calamaris
Provides:       calamari
Obsoletes:      calamari
License:        GPL
URL:            http://calamaris.cord.de
Group:          Productivity/Networking/Web/Utilities
Autoreqprov:    on
Version:        2.59
Release:        15.2
Summary:        A Report Generator
Source:         http://calamaris.cord.de/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Calamaris parses log files from Squid V1.1.x, V1.2.x, V2.x, and
NetCache in native log format and generates a report. It is written in
Perl 5.



Authors:
--------
    Cord Beermann <Calamaris@Cord.de>

%debug_package
%prep
%setup -n %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir  -p $RPM_BUILD_ROOT/usr/bin $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 calamaris $RPM_BUILD_ROOT/usr/bin
install -m 644 calamaris.1 $RPM_BUILD_ROOT/%{_mandir}/man1

%clean
rm -rf "$RPM_BUILD_ROOT" 

%files
%defattr(-,root,root)
%doc CHANGES COPYRIGHT EXAMPLES README
%doc %{_mandir}/man1/calamaris.1.gz
/usr/bin/calamaris

%changelog -n calamaris
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 06 2004 - tcrhak@suse.cz
- update to 2.59
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Tue Jul 29 2003 - tcrhak@suse.cz
- update to version 2.58
* Mon Feb 17 2003 - tcrhak@suse.cz
- update to version 2.57
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Sat Jul 13 2002 - tcrhak@suse.cz
- update to version 2.50
* Mon Dec 10 2001 - tcrhak@suse.cz
- update to 2.42
* Mon Jul 30 2001 - adostal@suse.cz
- change gz to bz2
* Thu Nov 09 2000 - nadvornik@suse.cz
- renamed calamari -> calamaris
- update to 2.40
* Fri Oct 06 2000 - nadvornik@suse.cz
- fixed Copyright
* Thu Mar 23 2000 - nadvornik@suse.cz
- added BuildRoot
* Fri Jan 21 2000 - grimmer@suse.de
- spec file cleanups (added version- and manpath macros)
* Thu Dec 23 1999 - grimmer@suse.de
- new version (2.29)
- specfile cleanups
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Jul 05 1999 - grimmer@suse.de
- corrected permissions for /usr/bin/calamaris
* Fri Jul 02 1999 - grimmer@suse.de
- initial package (Version 2.27)
